%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define _binaries_in_noarch_packages_terminate_build 0

Name: insights-coordinator-rhev
Version: 1.0.29
Release: 3%{?dist}
Summary: RHEV Insights Client Coordinator
Source0: %{name}-%{version}.tar.gz
License: GPLv2
Group: Applications/System
BuildArch: noarch
Vendor: Red Hat, Inc.
URL: https://access.redhat.com/insights

Requires: python,tar,redhat-access-insights >= 1.0.11,python-paramiko
BuildRequires: python,python-setuptools

%description
RHEV Insights Client Coordinator

%prep
%setup -q

%install
rm -rf ${RPM_BUILD_ROOT}
rm -rf requirements
rm -rf tests
$(which python) setup.py install --root=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%postun
#!/bin/bash
if [ $1 = 0 ]; then
rm -f /etc/cron.daily/insights-coordinator-rhev
fi

%files
%defattr(-,root,root)
%{python_sitelib}/insights_coordinator_rhev*.egg-info
%{python_sitelib}/insights_coordinator_rhev/*.py*
%{python_sitelib}/insights_coordinator_rhev/insights_coordinator_infra
/usr/bin/insights-coordinator-rhev

%defattr(755,root,root)
/etc/redhat-access-insights/insights-coordinator-rhev.cron

%defattr(0600,root,root)
%config(noreplace) /etc/redhat-access-insights/insights-coordinator-rhev.conf

%doc
/usr/share/man/man8/*.8.gz
/usr/share/man/man5/*.5.gz

%changelog
* Thu Nov 17 2016 Richard Brantley <rbrantle@redhat.com> - 1.0.29-1
- Fixes RHEVM dependency issues
- Resolves: bz1394541
